> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List projects

> Returns a list of all projects for the current team




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /projects
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /projects:
    get:
      tags:
        - Projects
      summary: List projects
      description: |
        Returns a list of all projects for the current team
      operationId: get-projects
      parameters:
        - name: filter[name]
          in: query
          required: false
          description: The project name to filter by
          schema:
            type: string
        - name: filter[slug]
          in: query
          required: false
          description: The project slug to filter by
          schema:
            type: string
        - name: filter[description]
          in: query
          required: false
          description: The project description to filter by
          schema:
            type: string
        - name: filter[billing_type]
          in: query
          required: false
          description: The billing type to filter by
          schema:
            type: string
        - name: filter[environment]
          in: query
          required: false
          description: The environment to filter by
          schema:
            type: string
        - name: filter[tags]
          in: query
          required: false
          description: >-
            The tags ids to filter by, separated by comma, e.g.
            `filter[tags]=tag_1,tag_2`will return projects with `tag_1` AND
            `tag_2`
          schema:
            type: string
          examples:
            Success:
              value: >-
                tag_GXeww714mRF2gZ05lnKgU8emo5RE,tag_QQkaK9JnV6tWwPG3pmLviXveVK0Y
        - name: extra_fields[projects]
          in: query
          required: false
          description: >-
            The `last_renewal_date` and `next_renewal_date` are provided as
            extra attributes that show previous and future billing cycle dates.
            To request it, just set
            `extra_fields[projects]=last_renewal_date,next_renewal_date` in the
            query string.
          schema:
            type: string
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 20
          required: false
          description: Number of items to return per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          description: Page number to return (starts at 1)
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: proj_WeGoqAanqP7nz
                        type: projects
                        attributes:
                          tags:
                            - id: tag_GXeww714mRF2gZ05lnKgU8emo5RE
                              name: tag1
                              description: Sunt dolorem inventore maxime.
                              color: '#2d6767'
                            - id: tag_QQkaK9JnV6tWwPG3pmLviXveVK0Y
                              name: tag2
                              description: Et occaecati quod ex.
                              color: '#182f18'
                          name: Durable Iron Gloves
                          slug: durable-iron-gloves
                          description: Heavy Duty Steel Computer
                          billing_type: Hourly
                          cost: null
                          billing_method: Normal
                          bandwidth_alert: false
                          environment: null
                          provisioning_type: on_demand
                          billing: {}
                          team:
                            id: team_w03a5zVl9XsXVybw2gz7SNr1el2
                            name: 176 Team
                            slug: 176-team
                            description: 176 Team
                            address: 3253 VonRueden Creek, Jcbury, NV 21576
                            currency:
                              id: cur_AW6Q2D9lqKLpr
                              code: BRL
                              name: Brazilian Real
                              currency_id: null
                            status: verified
                            feature_flags: []
                            limits:
                              bare_metal: null
                              bare_metal_gpu: 1
                              virtual_machine: 5
                              virtual_machine_gpu: 3
                              database: null
                              filesystem: null
                              block_storage: null
                          stats:
                            databases: 0
                            ip_addresses: 0
                            prefixes: 0
                            servers: 0
                            storages: 0
                            virtual_machines: 0
                            vlans: 0
                          created_at: '2026-01-14T15:56:39+00:00'
                          updated_at: '2026-01-14T15:56:39+00:00'
                    meta: {}
              schema:
                $ref: '#/components/schemas/projects'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.projects.list(filter_tags="tag_GXeww714mRF2gZ05lnKgU8emo5RE,tag_QQkaK9JnV6tWwPG3pmLviXveVK0Y", page_size=20, page_number=1)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Projects.List(ctx, operations.GetProjectsRequest{\n        FilterTags: latitudeshgosdk.Pointer(\"tag_GXeww714mRF2gZ05lnKgU8emo5RE,tag_QQkaK9JnV6tWwPG3pmLviXveVK0Y\"),\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Projects != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.projects.list({
                filterTags: "tag_GXeww714mRF2gZ05lnKgU8emo5RE,tag_QQkaK9JnV6tWwPG3pmLviXveVK0Y",
              });

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
components:
  schemas:
    projects:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/project'
    project:
      type: object
      properties:
        id:
          type: string
          description: The project ID
        attributes:
          type: object
          properties:
            name:
              type: string
              description: The project name
            slug:
              type: string
              description: A unique project identifier
            description:
              type: string
              nullable: true
              description: The project description
            billing_type:
              type: string
              nullable: true
              enum:
                - Yearly
                - Monthly
                - Hourly
                - Normal
                - Custom
            billing_method:
              type: string
              nullable: true
              enum:
                - Normal
                - 95th percentile
            cost:
              type: string
              nullable: true
            environment:
              type: string
              nullable: true
              enum:
                - Development
                - Staging
                - Production
            stats:
              type: object
              properties:
                ip_addresses:
                  type: number
                  description: The number of IP addresses assigned to the project
                prefixes:
                  type: number
                  description: The IP address prefixes in the project
                servers:
                  type: number
                  description: The number of servers assigned to the project
                containers:
                  type: number
                  description: The number of containers assigned to the project
                vlans:
                  type: number
                  description: The number of VLANs assigned to the project
            billing:
              type: object
              properties:
                subscription_id:
                  type: string
                type:
                  type: string
                method:
                  type: string
            team:
              $ref: '#/components/schemas/team_include'
            created_at:
              type: string
            updated_at:
              type: string
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
        currency:
          type: object
        status:
          type: string
        feature_flags:
          type: array
          items:
            type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````